include:
  - project: 'lt-qcom-gitlab-ci/common'
    file: '/rpb-openembedded/oe.yml'
  - project: 'lt-qcom-gitlab-ci/oe/oe'
    file: 'machine-distro-matrix.yml'

default:
  tags: [builder]

variables:
  MANIFEST_BRANCH_PREFIX:
    value: 'qcom'
    description: 'Branch name'
  MANIFEST_BRANCH:
    value: ''
    description: 'Branch name'
  MANIFEST_URL:
    value: 'https://github.com/96boards/oe-rpb-manifest.git'
    description: 'Manifest repository'
  IMAGES:
    value: 'rpb-console-image'
    description: 'YP images'
  IMAGES_RPB:
    value: 'rpb-desktop-image'
    description: 'YP RPB images'
  IMAGES_RPB_WAYLAND:
    value: 'rpb-weston-image'
    description: 'YP RPB Wayland'
  BUILD_SDK:
    value: ''
    description: 'Image SDK'
  PUBLISH_SERVER:
    value: 'https://staging-artifacts.codelinaro.org/artifactory/codelinaro-qualcomm/'
    description: 'CodeLinaro publish server'
  JFROG_UPLOAD_DRY_RUN:
    value: 'true'
    description: 'Boolean defining upload dry-run'

  # local variables
  DL_DIR: '$CI_PROJECT_DIR/srv/oe/downloads'
  SSTATE_DIR: '$CI_PROJECT_DIR/srv/oe/sstate-cache'

stages:
  - gitlab-oe

# two type of caches: a download cache per manifest brach and a single sstate-cache for all manifest branches
.cache:
  cache:
    - key: downloads-$MANIFEST_BRANCH
      paths:
        - $DL_DIR
      when: 'always'
    - key: sstate-cache-$MANIFEST_BRANCH
      paths:
        - $SSTATE_DIR
      when: 'always'

build dunfell:
  stage: gitlab-oe
  extends:
    - .oe
    - .dunfell_matrix
    - .cache
  rules:
    - if: $MANIFEST_BRANCH == 'dunfell'
      when: always

build honister:
  stage: gitlab-oe
  extends:
    - .oe
    - .honister_matrix
    - .cache
  rules:
    - if: $MANIFEST_BRANCH == 'honister'
      when: always

build master:
  stage: gitlab-oe
  extends:
    - .oe
    - .master_matrix
    - .cache
  rules:
    - if: $MANIFEST_BRANCH == 'master'
      when: always

build mock:
  stage: gitlab-oe
  extends:
    - .oe
    - .mock_matrix
    - .cache
  rules:
    - if: $MANIFEST_BRANCH == ''
      variables:
        MANIFEST_BRANCH: 'master'
      when: always
